/**
 * Copyright 2019 Nicolas Fella <nicolas.fella@gmx.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License or (at your option) version 3 or any later version
 * accepted by the membership of KDE e.V. (or its successor approved
 * by the membership of KDE e.V.), which shall act as a proxy
 * defined in Section 14 of version 3 of the license.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.2
import QtQuick.Layouts 1.1
import QtQuick.Controls 2.4
import org.kde.kirigami 2.0 as Kirigami

Kirigami.Page
{
    id: rootPage
    property var start;

    title: "Start journey"

    actions.main: Kirigami.Action {
        icon.name: "search"
        text: "Search"
        onTriggered: pageStack.push(Qt.resolvedUrl("ConnectionsPage.qml"))
    }

    ColumnLayout {

        width: parent.width

        Label {
            text: "From:"
        }
        Button {
            Layout.fillWidth: true
            text: _queryController.start.name ? _queryController.start.name : "Pick start"
            onClicked: pageStack.push(Qt.resolvedUrl("LocationQueryPage.qml"), {type: "start"})
        }
        Label {
            text: "To:"
        }
        Button {
            Layout.fillWidth: true
            text: _queryController.start.name ? _queryController.destination.name : "Pick destination"
            onClicked: pageStack.push(Qt.resolvedUrl("LocationQueryPage.qml"), {type: "destination"})
        }

        Label {
            text: "Departure date:"
        }

        DatePickerButton {
            text: _queryController.departureDate
            Layout.fillWidth: true
            onDatePicked: _queryController.departureDate = theDate
        }

        Label {
            text: "Departure time:"
        }

        TimePickerButton {
            text: _queryController.departureTime
            Layout.fillWidth: true
            onTimePicked: _queryController.departureTime = theTime
        }
    }
}


